Summary:	An interactive process viewer
Summary(hu.UTF-8):	Egy interaktív processz megjelenítő
Summary(pl.UTF-8):	Interaktywna przeglądarka procesów
Name:		htop
Version:	1.0.3
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	http://hisham.hm/htop/releases/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	e768b9b55c033d9c1dffda72db3a6ac7
Patch0:		%{name}-desktop.patch
URL:		http://hisham.hm/htop/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	gcc >= 5:3.0
BuildRequires:	libtool
BuildRequires:	ncurses-devel
BuildRequires:	python
BuildRequires:	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
htop is an interactive text-mode process viewer for Linux. It aims to
be a better 'top'.

%description -l hu.UTF-8
htop egy interaktív szöveges módú processz megjelenítő Linuxra.
Lényegében egy jobb 'top' szeretne lenni.

%description -l pl.UTF-8
htop jest interaktywną, tekstową przeglądarką procesów dla Linuksa.
Jej celem jest bycie lepszą odmianą programu 'top'.

%prep
%setup -q
%patch0 -p1

# don't require /proc at build time
sed '/^AC_CHECK_FILE($PROCDIR)/d' -i configure.ac

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
CPPFLAGS="%{rpmcppflags} $(pkg-config --cflags ncursesw)"
LDFLAGS="%{rpmldflags}"
%configure \
	--enable-cgroup \
	--enable-openvz \
	--enable-taskstats \
	--enable-unicode \
	--enable-vserver
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/htop
%{_desktopdir}/htop.desktop
%{_pixmapsdir}/htop.png
%{_mandir}/man1/htop.1*
%changelog
* Fri May 09 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/htop.git;a=log;h=master

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 1762d87
- version macro in source0 url

* Tue Apr 29 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 81d0aa4
- up to 1.0.3
- urls changed

* Thu Apr 11 2013 Paweł Sikora <pawel.sikora@agmk.net> 4037637
- updated to 1.0.2.

* Fri Feb 17 2012 Zsolt Udvari <uzsolt@pld-linux.org> 71b8cc9
- 1.0.1

* Tue Jan 31 2012 lisu <lisu@pld-linux.org> d39f80f
- no more separated libtinfo(w)

* Sat Dec 03 2011 Adam Gołębiowski <adamg@pld-linux.org> 9c8be7a
- enable cgroup, taskstats; release 2

* Mon Nov 21 2011 Zsolt Udvari <uzsolt@pld-linux.org> 0bb09b3
- 1.0
- drop patch2

* Thu Sep 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 4a44631
- release 2

* Thu Jan 06 2011 sparky <sparky@pld-linux.org> eb0f5d7
- don't require /proc at build time
- BR: python, python-modules

* Sun Nov 28 2010 Jakub Bogusz <qboosh@pld-linux.org> 67a3eb1
- use rpmcppflags adn rpmldflags

* Sun Nov 28 2010 Adam Gołębiowski <adamg@pld-linux.org> b54dc8a
- updated to 0.9

* Sat Jun 05 2010 pawelz <pawelz@pld-linux.org> e121fc8
- buildfix: append -ltinfow to LDFLAGS
- unified SF download URL

* Tue Jun 23 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> 8213740
- updated to 0.8.3

* Tue Jun 02 2009 Zsolt Udvari <uzsolt@pld-linux.org> f807703
- updated

* Tue Jun 02 2009 Zsolt Udvari <uzsolt@pld-linux.org> cf0e732
- unneeded

* Tue Jun 02 2009 Zsolt Udvari <uzsolt@pld-linux.org> 3efe39c
- 0.8.2
- rel 1
- patch1 is unneeded (applied in source)

* Thu Feb 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 46dbe35
- rel 5; use wide ncurses includes (colors are back)

* Wed Feb 18 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d2d12a2
- release 4

* Thu Dec 18 2008 Paweł Sikora <pluto@pld-linux.org> 056b76e
- add field-titles.patch, release 3.

* Thu Dec 18 2008 Paweł Sikora <pluto@pld-linux.org> 3aaa515
- describe child {u/s}time.

